Data feed for schedule occurrences

When returning data from the schedule_occurrences feed, the start_date and end_date apply to the due_time field of each occurrence.

This means that even if an occurrence was started and completed within the specified time range, it may not appear in the results.

Example of data returned from occurrences API, with start_data and end_date parameters

In this example monthly_2 -> monthly_7 and quarterly_1 -> quarterly_2 are returned from the API as their due_time fall within the state_date and end_date.

Query Params
int32

Maximum number of schedule occurrence records to scan (1-1000).
• Default: 50 records
• Maximum: 1000 records
Please note that the number of records returned might be higher than the limit because a schedule occurrence might have multiple assignees.

template
array of strings

Filter occurrences by template IDs used to create the schedules.
• Provide template IDs to only return occurrences from schedules using those templates. Omit to return occurrences from all templates. For example, ["template_xxx", "template_yyy"].

template
date-time

Return occurrences due on or after this timestamp.
• Use ISO 8601 format with timezone. For example, 2024-01-28T23:14:23.000Z.
• Default: now - 5 months

date-time

Return occurrences due on or before this timestamp.
• Use ISO 8601 format with timezone For example, 2024-12-31T23:59:59.000Z.
• Default: now + 1 month

string

Page token to retrieve next page. This token is returned in the metadata
of previous responses when more data is available.

PAGINATION USAGE:

  • For the first page, omit next_page_token or provide an empty string.
  • For subsequent pages, use next_page_token from previous response metadata.
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json